/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#include <private/abstractdeclarative_p.h>
#include <private/colorgradient_p.h>
#include <private/declarativebars_p.h>
#include <private/declarativecolor_p.h>
#include <private/declarativescatter_p.h>
#include <private/declarativescene_p.h>
#include <private/declarativeseries_p.h>
#include <private/declarativesurface_p.h>
#include <private/declarativetheme_p.h>
#include <private/foreigntypes_p.h>

#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif

Q_QMLTYPE_EXPORT void qml_register_types_QtDataVisualization()
{
    qmlRegisterModule("QtDataVisualization", 1, 0);
    qmlRegisterModule("QtDataVisualization", 1, 254);
    qmlRegisterModule("QtDataVisualization", 6, 0);
    qmlRegisterTypesAndRevisions<AbstractDeclarative>("QtDataVisualization", 6);
    qmlRegisterAnonymousTypesAndRevisions<QQuickItem>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<ColorGradient>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<ColorGradientStop>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<Declarative3DScene>("QtDataVisualization", 6);
    qmlRegisterAnonymousTypesAndRevisions<Q3DScene>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<DeclarativeBar3DSeries>("QtDataVisualization", 6);
    qmlRegisterAnonymousTypesAndRevisions<QBar3DSeries>("QtDataVisualization", 6);
    qmlRegisterAnonymousTypesAndRevisions<QAbstract3DSeries>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<DeclarativeBars>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<DeclarativeColor>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<DeclarativeScatter>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<DeclarativeScatter3DSeries>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<DeclarativeSurface>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<DeclarativeSurface3DSeries>("QtDataVisualization", 6);
    qmlRegisterAnonymousTypesAndRevisions<QSurface3DSeries>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<DeclarativeTheme3D>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<Q3DCameraDataVisForeign>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<Q3DInputHandlerDataVisForeign>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<Q3DLightDataVisForeign>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<Q3DObjectDataVisForeign>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<Q3DSceneForeign>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<Q3DThemeDataVisForeign>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<QAbstract3DAxisDataVisForeign>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<QAbstract3DInputHandlerDataVisForeign>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<QAbstract3DSeriesDataVisForeign>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<QAbstractDataProxyDataVisForeign>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<QAbstractItemModelDataVisForeign>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<QBar3DSeriesDataVisForeign>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<QBarDataProxyDataVisForeign>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<QCategory3DAxisDataVisForeign>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<QCustom3DItemDataVisForeign>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<QCustom3DLabelDataVisForeign>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<QCustom3DVolumeDataVisForeign>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<QHeightMapSurfaceDataProxyDataVisForeign>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<QItemModelBarDataProxyDataVisForeign>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<QItemModelScatterDataProxyDataVisForeign>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<QItemModelSurfaceDataProxyDataVisForeign>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<QLogValue3DAxisFormatterDataVisForeign>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<QScatter3DSeriesDataVisForeign>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<QScatterDataProxyDataVisForeign>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<QSurface3DSeriesDataVisForeign>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<QSurfaceDataProxyDataVisForeign>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<QTouch3DInputHandlerDataVisForeign>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<QValue3DAxisDataVisForeign>("QtDataVisualization", 6);
    qmlRegisterTypesAndRevisions<QValue3DAxisFormatterDataVisForeign>("QtDataVisualization", 6);
    qmlRegisterModule("QtDataVisualization", 6, 4);
}

static const QQmlModuleRegistration registration("QtDataVisualization", qml_register_types_QtDataVisualization);
